Installing Virtualmin on Debian Squeeze

  • mojiz
  • 07/12/09
  • Offline
Posted: Sun, 2009-07-12 16:18

Hi
I'm trying to install virtualmin on a VPS.
The os is debian Squeeze
the installer gives the following error:

Failed to detect operating system

/etc/issue

Debian GNU/Linux squeeze/sid \n \l

cat /etc/debian_version

squeeze/sid

How can I install it?

Thanks


Howdy, The installer

  • andreychek
  • 01/05/09
  • Offline
  • Sun, 2009-07-12 17:13

Howdy,

The installer supports Debian 4 (Etch) and 5 (Lenny), but not Sid.

The list of supported distros is available here:

http://www.virtualmin.com/os-support


one more supported distro

  • virtualmin@secu.be
  • 01/18/08
  • Offline
  • Mon, 2010-11-15 19:00

My solution is temporary this one

1) modify /etc/issue like this Debian GNU/Linux 5.0 \n \l

2) run install.sh

3) edit /etc/apt/sources.list add a # in front of deb http://software.virtualmin.com/gpl/debian/ virtualmin-lenny main

3) restore the original /etc/issue

4) run apt-get dist-upgrade

my only trouble at this time is that virtualmin don't see correctly apache running

don't know the date of squeeze final release but I'm so enthousiast with lxc containers management in squeeze that I'm planning to use instead of xen, kvm and openvz for virtual hosting


Just works

  • lulatsch66
  • 12/07/08
  • Offline
  • Tue, 2011-01-04 12:51

Thanx for your solution: just worked fine using Squeeze beta2.